.. _arbitrator-asset-configuration:

Asset Configuration
--------------------

.. _SP23|New config screen added to allow customer ndx file retention times. Default is 6 months.:
.. _SP23|New PRI and SIP Trunk probes for Cisco Voice Gateways. Please reference Arbitrator Cisco PRI and SIP Probe Configuration for instructions.:
.. _SP25|Webex API support added (Requires Dashboard SP66 Release for visualization).:
.. _22.1|VOSS-934:
.. _22.1|EKB-12298:
.. _22.2|EKB-13343:
.. _23.1|EKB-13157:
.. _23.1|EKB-15145:
.. _23.1|VOSS-986:
.. _23.1|VOSS-1153:
.. _23.2|EKB-14142:
.. _23.2|EKB-16510:
.. _23.3|EKB-17216:



Overview  
......................

The Asset Configuration panel allows you to create Assets and Asset
Groupings. Assets can be any devices that are either sending data or from
which data is being retrieved. Each Asset can be assigned to a specific
customer to create a multi-tenant environment. 

A new system log table ``insights_system_log`` has also been added
to log user actions and a user can create a dashboard to view these actions.

See the:

.. raw:: html

   <a href="../VAA-dashboard-reporting/log-search.html">Log Search</a>

.. raw:: latex

   Log Search Section in the Dashboard and Reporting Administration Guide.



Add an Asset Group 
......................


To add a new asset group:

1. Click the Asset icon from the Menu bar.
2. Click the Plus icon in the bottom left corner of the Asset Groups
   panel.
3. Enter the Group name and press Enter.
4. Click the Save icon in the upper right.

|

.. image:: /src/images/assurance-correlation-image28.png

|

Add an Asset to an Existing Group
....................................

To add a new Asset to a Group: 

1. Click Asset Group to which you wish to add an asset. 
2. Click the Plus icon at the bottom of the Asset panel. 
3. An asset entry box will open up. Fill out all of the details for the
   asset under "Properties". 
4. Click the "Interface" tab and fill out the details, if applicable. 
5. Click the check button to the right of the screen to add the asset. 

|

.. image:: /src/images/assurance-correlation-image25.png
    
|

.. note::

   **Modification**: If present, then more than one asset in more than
   one group can be modified when *modifying* assets. Change bars are
   displayed next to each asset and group when the assets or groups
   modified, for example:

|

   .. image:: /src/images/insights-arb-assets-conf-change-bar.png
    
|


Delete an Asset
.................
  
To delete an Asset:

1. Click the Asset Group in which your Asset is located.
2. Click the "check" box next to the asset you wish to delete.
3. Click the "minus" icon within the Asset panel.
4. Click the "Save" icon in the upper right corner.

|

.. image:: /src/images/assurance-correlation-image26.png

|

Delete an Asset Group
..........................
  
To delete an Asset Group:

1. Click the "check" box next to the Asset Group you wish to delete.
2. Click the "minus" icon in the bottom left of the Asset Group panel.
3. Click the "Save" icon in the upper right corner.

|

.. image:: /src/images/assurance-correlation-image24.png

|


Assign a Probe to an Asset 
.............................

A Probe is a script or set of commands that are saved in the system and
can be utilized to gather data, issue commands to systems, auto repair or
send data. Assigning a probe to an asset is typically done to retrieve
data from that asset. Commands such as an SNMP GET or an API call are
utilized to retrieve data from a particular asset. 

To assign a Probe to an Asset: 

1. Click the asset group and then click on the actual asset within that
   group that the Probe will run against. 
2. Click the wrench icon, which will add a monitor profile to the asset. 
3. The Probe Group (covered in the next section) screen is opened where
   you can select from all of the saved Probes in the system. 
4. Select the desired Probe 
5. Next click the green pencil icon, which will open up a profile to
   define the frequency the probe runs, the credentials needed for the
   probe to run, the schedule for the Probe to run and the choice to
   start it immediately. 

   .. note::

      For SP25, the frequency for Polycom devices is set at 5 minutes.
6. Once complete click the check button to finalize the probe. This will
   take you back to the Asset screen and to the asset you had selected. 


|

.. image:: /src/images/assurance-correlation-image21.png

|


.. image:: /src/images/assurance-correlation-image22.png

|

    

    
Assign a Customer to an Asset 
.................................

The Correlation Platform has multi-tenancy built in that provides the
ability for different customers to see correlated or collected results of
only their data. Within the configuration of assets, you can assign each
asset to a specific customer. To assign a Customer to an Asset: 

1. Click the asset group and then click on the actual asset within that
   group that is to be assigned to a Customer. 
2. Click the pencil icon that will open up the details of that asset. 
3. Click the field labeled Customer and a drop-down list of available
   Customers will appear. 
4. Select the Customer that the asset belongs to and then click the blue
   check box in the top right. 
5. Click the Save icon to save the changes.

|

.. image:: /src/images/assurance-correlation-image19.png

|

            

Place an Asset in Maintenance Mode 
.....................................

The Correlation Platform allows any asset to be placed into Maintenance mode.
Doing so will stop the platform from responding with alerts until it is
removed from the mode. Data will still be collected but alerts will not be
sent. 

1. Click the asset group and then click on the actual asset within that group
   that is to be put into Maintenance mode. 
2. Click the pencil icon that will open up the details of that asset. 
3. Check the box next to the label Maintenance Mode and then click the
   blue check box in the top right. 
4. Click the "plus" icon to return to the Asset Group and then click the
   "Save" icon to save the Maintenance Mode settings. 

    
|

.. image:: /src/images/assurance-correlation-image20.png

|

Assets in maintenance mode can be filtered by selecting **Maintenance**
from the **Filter column** drop down list.


|

.. image:: /src/images/insights-arb-maintenance-filter.png

|


Export and Import an Asset 
...............................

Within the **ASSET CONFIGURATION** section, you can export and
import the asset that you exported from another system.

* When selecting asset groups, all assets belong to those groups will be selected
  (selecting individual assets will not take effect).
* If the **Group Name** checkbox is selected, all assets will be included
  -  both **All groups** and **Ungrouped**.


Export an Asset
''''''''''''''''''

1. Select the check boxes of the assets to export, or select the **Group name** check box
   at the top of he **Groups** list to select *all* assets.
2. Click the green Down arrow button at the bottom of the **ASSET CONFIGURATION** panel.
3. The **Export CSV** dialog opens. Enter a **CSV file name** (You do
   not have to add the ``.csv`` file extension) and click **Export**.
4. The **Export finished** dialog shows when the export file has been created.
   Click **Download** to save the CSV file to your selected download location.


Import an Asset
'''''''''''''''''''

1. Click the green Up arrow button at the bottom of the **ASSET CONFIGURATION** panel.
2. A pop-up box will appear asking you choose your file.
3. Click the **Choose file** button and select the exported CSV file that you
   have saved to your computer.
4. Click the **Import** button.


Asset CSV Format
''''''''''''''''''

The following columns are in an exported CSV file:

::

   "Asset Name",Description,"IP Addres","MAC Address",Vendor,
   Model,Version,"Host Name",Alias,"Asset Group Name",
   "Type of Device(see below)","Device’s Timezone",Comments,
   "Physical Address","Customer Name","Site Name","Row Action"

    
.. note::

   * The ``"Row Action"`` column is used when importing and if it contains "delete",
     then the row will be deleted upon import.
   * Row uniqueness is the combination of: "IP Address", "Customer Name", "Site Name".
     If an asset found, its data will be updated. if not, new asset will be inserted
     under the asset group indicated in column "Asset Group Name".
   * The column "Asset Group Name" has to be unique. if an asset group is found, its
     data will be updated. If not, a new asset group will be inserted.
   * There are 2 entries in the import CSV:

     * An asset with data in all columns. Most important is the very first column "Asset Name".
     * An interface is a property of an asset. An interface only has data in from column "Description" to "Host Name".
       Most important is that it does not have data on the very first column "Asset Name".
       All CSV interface row(s) will be under an asset just right above it(them).



|

.. image:: /src/images/arbitrator-import-asset.png



